%define oname   asciidoctor

Name:       ruby-%{oname}
Version:    2.0.22
Release:    %mkrel 1
Summary:    A fast, open source AsciiDoc implementation in Ruby
License:    MIT
Group:      Development/Ruby
URL:        https://asciidoctor.org/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildArch:  noarch
BuildRequires: rubygems
Provides:   %{oname} = %{version}-%{release}

%description
A fast, open source text processor and publishing toolchain, written in Ruby,
for transforming AsciiDoc markup into HTML 5, DocBook 4.5, DocBook 5.0 and
custom output formats. The transformation from AsciiDoc to custom output
formats is performed by running the nodes in the parsed document tree through a
collection of templates written in a template language supported by Tilt.

%files
%{_bindir}/%{oname}*
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Mon Apr 08 2024 pterjan <pterjan> 2.0.22-1.mga10
+ Revision: 2055418
- Update to 2.0.22

* Tue May 03 2022 pterjan <pterjan> 2.0.17-1.mga9
+ Revision: 1855717
- Update to 2.0.17

* Fri Mar 25 2022 umeabot <umeabot> 2.0.11-2.mga9
+ Revision: 1826892
- Mageia 9 Mass Rebuild

* Sun Nov 08 2020 wally <wally> 2.0.11-1.mga8
+ Revision: 1643609
- new version 2.0.11

* Sat Feb 15 2020 umeabot <umeabot> 2.0.10-2.mga8
+ Revision: 1527205
- Mageia 8 Mass Rebuild

* Wed Jul 10 2019 wally <wally> 2.0.10-1.mga8
+ Revision: 1419910
- new version 2.0.10

* Wed Apr 17 2019 wally <wally> 2.0.7-1.mga7
+ Revision: 1392125
- new version 2.0.7

* Sun Nov 04 2018 pterjan <pterjan> 1.5.8-1.mga7
+ Revision: 1328163
- Update to 1.5.8

* Fri Sep 21 2018 umeabot <umeabot> 1.5.7.1-2.mga7
+ Revision: 1290787
- Mageia 7 Mass Rebuild

* Thu May 17 2018 pterjan <pterjan> 1.5.7.1-1.mga7
+ Revision: 1230066
- Update to 1.5.7.1

* Sun Apr 01 2018 pterjan <pterjan> 1.5.6.2-1.mga7
+ Revision: 1214107
- Update to 1.5.6.2

* Sun Aug 20 2017 pterjan <pterjan> 1.5.6.1-1.mga7
+ Revision: 1142016
- Update to 1.5.6.1

* Wed Jan 11 2017 wally <wally> 1.5.5-1.mga6
+ Revision: 1081085
- imported package ruby-asciidoctor

